Summary: X11 Pixmap Library
Name: xpm
Version: 3.4j
Release: 2
Copyright: MIT
Group: X11/Libraries
Source0: ftp://ftp.x.org/contrib/libraries/xpm-3.4j.tar.gz
Source1: ftp://ftp.x.org/contrib/libraries/xpm-doc-A4.PS.gz 
Source2: ftp://ftp.x.org/contrib/libraries/xpm-tutorial.PS.gz 
Source3: ftp://ftp.x.org/contrib/libraries/xpm.FAQ 
Source4: ftp://ftp.x.org/contrib/libraries/xpm.README 
Source5: ftp://ftp.x.org/contrib/libraries/xpm_examples.tar.gz
%define MAJORVER 4
%define MINORVER 10
%define LIBVER %{MAJORVER}.%{MINORVER}
%define NAME xpm
%define VERSION 3.4j
BuildRoot: /tmp/xpm-root

%description
Allows applications to display color, bitmapped pictures. Used by a large
number of popular X Windows programs to enhance the user interface.

%changelog

* Fri Jan 30 1998 Markus Pilzecker <mp@rhein-neckar.netsurf.de>

- added static package [, that e.g. xemacs needs to build its static version]

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>

- upgraded to 3.4j
- spec file cleanups
- added docs to the devel package

* Mon Jun 16 1997 Erik Troan <ewt@redhat.com>

- built against glibc


%package devel
Requires: xpm
Group: Development/Libraries
Summary: Development libraries and header files for X Pixmap library

%description devel
Allows you to develop applications that display bitmaps in X-Windows.


%package static
Requires: xpm-devel
Group: Development/Libraries
Summary: Static Development X Pixmap library

%description static
Allows you to develop statically linked applications that display bitmaps in X-Windows.


%prep
%setup
cd $RPM_SOURCE_DIR
cp xpm-doc-A4.PS.gz xpm-tutorial.PS.gz xpm.FAQ xpm.README xpm_examples.tar.gz $RPM_BUILD_DIR/%{NAME}-%{VERSION}


%build
mv Imakefile Imakefile.so
ln -s Imakefile.so Imakefile 
xmkmf -a 
install -m644 lib/xpm.h /usr/X11R6/include/X11/xpm.h
make
# and now do it for the static lib
cat Imakefile.so | sed 's/XCOMM IMAKE_DEFINES = -DSharedLibXpm=NO/IMAKE_DEFINES = -DSharedLibXpm=NO/' > Imakefile.a
if  [ -e Imakefile ]  
  then
    rm Imakefile
fi
ln -s Imakefile.a Imakefile
xmkmf -a
install -m644 lib/xpm.h $RPM_BUILD_ROOT/usr/X11R6/include/X11/xpm.h
make 


%install
# the makefiles are for the static version at the moment:
export DESTDIR=$RPM_BUILD_ROOT
make -e install
# now build them again for the so version:
if  [ -e Imakefile ]  
  then
    rm Imakefile
fi
ln -s Imakefile.so Imakefile
xmkmf -a
make -e install
(cd $RPM_BUILD_ROOT/usr/X11R6/lib; ln -sf libXpm.so.%{MAJORVER} libXpm.so)


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
/usr/X11R6/lib/libXpm.so.%{LIBVER}
/usr/X11R6/lib/libXpm.so.%{MAJORVER}
/usr/X11R6/lib/libXpm.so

%files devel
%doc xpm-doc-A4.PS.gz xpm-tutorial.PS.gz xpm.FAQ xpm.README xpm_examples.tar.gz
/usr/X11R6/include/X11/xpm.h
/usr/X11R6/bin/sxpm

%files static
/usr/X11R6/lib/libXpm.a